echo off
:menu
echo This script will help you update the firmware of your Fightboard
echo Please select your model:
echo 1 - V1 Fightboard (purchased before 7/6/21)
echo 2 - V2 Fightboard (purchased after 7/6/21)
choice /n /c:12 /M "Choose an option (1,2) "
set SELECTION=%errorlevel%

IF "%SELECTION%"=="1" (
set FWNAME="fightboard-rgbw"
) ELSE IF "%SELECTION%"=="2" (
set FWNAME="fightboard"
)

echo Updating firmware...
wmic path Win32_SerialPort | find /I "Serial Device" | tools\awk "{print $13}" > tools\port
set /p PORT=< tools\port
tools\avrdude -v -Ctools/avrdude.conf -patmega32u4 -cavr109 -P %PORT% -b57600 -D -Uflash:w:"firmware/%FWNAME%.hex":i
echo Done! Press any key to close.
pause
